
Figure - Bug #111312
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110872 (New): BSP-BVT测试-WIFI测试

【AF】【EVT】【settings】【必现】打开/关闭网络设置，settings页面发生闪退或anr
2022-08-17 19:27 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-08-17

Priority: High Due date: 2022-08-19

Assignee: SZTS_TEST 邹涛 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: 0.0.0.20220826_alpha_private_userdebug

Resolution: FIXED Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Bring Up Test Root cause: bug产生的原因是settings的裁剪时,通过修改config配置文件裁剪飞行模式,在AirplaneModePreferenceController.java中读取配置文件,初始化时,没有实例化对象,造成了空指针异常

Description

前置条件：

1、DUT各模块功能正常且处于开机状态

操作步骤：

1、settings首页，打开/关闭网络设置，返回settings首页时；查看页面显示

实际结果：

1、setting页面直接闪退或者报anr

预期结果

1、返回setting页面正常显示无任何异常，不会发生闪退和anr

History

#1 - 2022-08-19 11:24 - CD TPM-申艳艳

- Assignee changed from SZ TPM-罗云进 to CD FW-程天颖

#2 - 2022-08-26 11:15 - CD FW-程天颖

- Due date set to 2022-08-19

- Status changed from New to RESOLVED

- Assignee changed from CD FW-程天颖 to SZ TPM-罗云进

- Target version set to 600

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

■ Current conclusion

  该bug已解决,自测通过,代码已入库

■ My analysis

  bug产生的原因是settings的裁剪时,通过修改config配置文件裁剪飞行模式,在AirplaneModePreferenceController.java中读取配置文件,初始化时,没有实例化对

象,造成了空指针异常

  解决方法:把AirplaneModePreferenceController从父级页面中移除,不允许被裁减的页面的代码

■ Next action / ■Submit URL
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/143643

#3 - 2022-08-29 18:21 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

- Assignee changed from SZ TPM-罗云进 to SZTS_TEST 邹涛

- Found Version changed from 0.0.0.20220817_alpha_private_userdebug to 0.0.0.20220826_alpha_private_userdebug

0.0.0.20220826_alpha_private_userdebug，版本验证问题已修复；关闭该bug

#4 - 2022-08-29 18:25 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

#5 - 2022-09-14 11:50 - CD TPM-申艳艳

- Category set to CD-FW

#6 - 2022-09-16 09:48 - CD SWPM-杨宏伟

- Target version changed from 600 to VX1_MCE_FSE_V2.0_20220930

#7 - 2022-09-16 16:03 - CD FW-程天颖

- Root cause set to bug产生的原因是settings的裁剪时,通过修改config配置文件裁剪飞行模式,在AirplaneModePreferenceController.java中读取配置文件,初始化

时,没有实例化对象,造成了空指针异常

#8 - 2022-12-22 20:25 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

143643 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings crop: Fix crash of AirplaneModePreferenceController1.fixed air plan mode creshTC-RID: 1201-0201801IssueID: TS-R-DF-111312Change-Id:

I9d9b0e09956c21aca5db9f9fb5234f2b59ec28fd

#9 - 2022-12-22 20:25 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

143736 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings display:option mode1.change hotseat_dir to  option mode.TC-RID: 1201-0201801IssueID: TS-R-DF-111312Change-Id:

Ifee466e51484e65766c3ae693975c23c491c0b64

#10 - 2023-04-06 18:35 - CD BSP-杜磊

- Subject changed from 【BSP】【EVT】【settings】【必现】打开/关闭网络设置，settings页面发生闪退或anr to 【AF】【EVT】【settings】【必现】打开/关
闭网络设置，settings页面发生闪退或anr

Files

logcat_setting页面闪退.txt 2.79 MB 2022-08-17 SZTS_TEST 邹涛

Serial-COM4_20220817161659.log 1.56 MB 2022-08-17 SZTS_TEST 邹涛
